## ros-image-transport-plugins 1.15.0

=== compressed_image_transport/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(compressed_image_transport)

find_package(OpenCV REQUIRED)
find_package(catkin REQUIRED COMPONENTS cv_bridge dynamic_reconfigure image_transport)

find_package(PkgConfig REQUIRED)
pkg_check_modules(TurboJPEG REQUIRED libturbojpeg)

# generate the dynamic_reconfigure config file
generate_dynamic_reconfigure_options(cfg/CompressedPublisher.cfg cfg/CompressedSubscriber.cfg)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS cv_bridge dynamic_reconfigure image_transport
  DEPENDS OpenCV
)

include_directories(include ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS} ${TurboJPEG_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/compressed_publisher.cpp src/compressed_subscriber.cpp src/manifest.cpp)
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES} ${TurboJPEG_LIBRARIES})

class_loader_hide_library_symbols(${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# add xml file
install(FILES compressed_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest_gtest(basic_test test/basic.test test/basic.cpp)
  target_link_libraries(basic_test ${catkin_LIBRARIES})
endif()

=== image_transport_plugins/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_transport_plugins)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-image-transport-plugins (1.15.0-5) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Jan 2025 21:17:18 +0100

ros-image-transport-plugins (1.15.0-4) unstable; urgency=medium

  * Migrate to dh-ros (Closes: #1089193)
  * Wrap and sort Debian package files
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Tue, 14 Jan 2025 13:26:41 +0100

ros-image-transport-plugins (1.15.0-3) unstable; urgency=medium

  * Add Multi-Arch according to MA hinter
  * Source only upload for testing migration

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 19 Sep 2023 06:02:49 +0200

ros-image-transport-plugins (1.15.0-2) unstable; urgency=medium

  * Added missing copyright attribution

 -- Dima Kogan <dkogan@debian.org>  Tue, 12 Sep 2023 11:55:43 -0700

ros-image-transport-plugins (1.15.0-1) unstable; urgency=medium

  * Initial release (Closes: #1051499)

 -- Dima Kogan <dkogan@debian.org>  Tue, 12 Sep 2023 11:55:18 -0700

=== debian/control ===
Source: ros-image-transport-plugins
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Dima Kogan <dkogan@debian.org>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 catkin,
 libcv-bridge-dev,
 libdynamic-reconfigure-config-init-mutex-dev,
 libgtest-dev,
 libimage-transport-dev,
 libogg-dev,
 libopencv-dev,
 librosbag-dev,
 librostest-dev,
 libstd-srvs-dev,
 libtf-dev,
 libtheora-dev,
 libturbojpeg0-dev,
 pluginlib-dev,
 python3-all,
 python3-dynamic-reconfigure,
 ros-std-msgs,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/image_transport_plugins
Vcs-Git: https://salsa.debian.org/science-team/ros-image-transport-plugins.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-image-transport-plugins

Package: ros-compressed-depth-image-transport-dev
Replaces:
 libcompressed-depth-image-transport-dev,
Section: libdevel
Architecture: any
Depends:
 ros-compressed-depth-image-transport (= ${binary:Version}),
 ${misc:Depends},
Description: development files for compressed_depth_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Compressed_depth_image_transport
 provides a plugin to image_transport for transparently sending depth images
 (raw, floating-point) using PNG compression.
 .
 This package contains the development files.

Package: cl-theora-image-transport
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: LISP code for theora_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Theora_image_transport provides a
 plugin to image_transport for transparently sending an image stream encoded
 with the Theora codec.
 .
 This package contains the generated LISP library.

Package: python3-compressed-depth-image-transport
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 python-compressed-depth-image-transport,
Replaces:
 python-compressed-depth-image-transport,
Description: Python package for compressed_depth_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Compressed_depth_image_transport
 provides a plugin to image_transport for transparently sending depth images
 (raw, floating-point) using PNG compression.
 .
 This package contains the generated Python package.

Package: python3-compressed-image-transport
Section: python
Architecture: all
Breaks:
 python-compressed-image-transport,
Replaces:
 python-compressed-image-transport,
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python package for compressed_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Compressed_image_transport provides a
 plugin to image_transport for transparently sending images encoded as JPEG or
 PNG.
 .
 This package contains the generated Python package.

Package: python3-theora-image-transport
Section: python
Architecture: all
Breaks:
 python-theora-image-transport,
Replaces:
 python-theora-image-transport,
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python package for theora_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Theora_image_transport provides a
 plugin to image_transport for transparently sending an image stream encoded
 with the Theora codec.
 .
 This package contains the generated Python package.

Package: ros-compressed-depth-image-transport
Replaces:
 libcompressed-depth-image-transport,
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugins for compressed_depth_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Compressed_depth_image_transport
 provides a plugin to image_transport for transparently sending depth images
 (raw, floating-point) using PNG compression.
 .
 This package contains the plugins.

Package: ros-compressed-image-transport
Replaces:
 libcompressed-image-transport,
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugins for compressed_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Compressed_image_transport provides a
 plugin to image_transport for transparently sending images encoded as JPEG or
 PNG.
 .
 This package contains the plugins.

Package: ros-compressed-image-transport-dev
Replaces:
 libcompressed-image-transport-dev,
Section: libdevel
Architecture: any
Depends:
 ros-compressed-image-transport (= ${binary:Version}),
 ${misc:Depends},
Description: development files for compressed_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Compressed_image_transport provides a
 plugin to image_transport for transparently sending images encoded as JPEG or
 PNG.
 .
 This package contains the development files.

Package: ros-theora-image-transport
Replaces:
 libtheora-image-transport,
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugins for theora_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Theora_image_transport provides a
 plugin to image_transport for transparently sending an image stream encoded
 with the Theora codec.
 .
 This package contains the plugins.

Package: ros-theora-image-transport-dev
Replaces:
 libtheora-image-transport-dev,
Section: libdevel
Architecture: any
Depends:
 ros-theora-image-transport (= ${binary:Version}),
 ${misc:Depends},
Description: development files for theora_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Theora_image_transport provides a
 plugin to image_transport for transparently sending an image stream encoded
 with the Theora codec.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

export ROS_SKIP_PACKAGES = image_transport_plugins
export ROS_SKIP_TESTS = compressed_image_transport

%:
	dh $@ --buildsystem=ros

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-image-transport-plugins-$1.tar.gz%" \
    https://github.com/ros-perception/image_transport_plugins/tags \
    (?:.*?/)?v?(1.\d[\d.]*)\.tar\.gz
